
##############################################################################
#                                                                            #
#                  IMPINJ CONFIDENTIAL AND PROPRIETARY                       #
#                                                                            #
# This source code is the sole property of Impinj, Inc.  Reproduction or     #
# utilization of this source code in whole or in part is forbidden without   #
# the prior written consent of Impinj, Inc.                                  #
#                                                                            #
# (c) Copyright Impinj, Inc. 2009. All rights reserved.                      #
#                                                                            #
##############################################################################


##############################################################################
#
# $Id: SConscript 65946 2010-11-08 00:41:15Z dshaheen $
# 
#  Description: Build script that recurses into the appropriate directories
#      
#
##############################################################################


Import("env", "buildos", "transportdir")

if "windows" == buildos:
	if env["ce"]:
		SConscript([
        		     "algorithm/SConscript",
		             "antenna/SConscript",
			     	 "blockwrite/SConscript",
		             "inventory_live/SConscript",
		             "nvmem_update/SConscript",
		             "oemconfig/SConscript",
		             "profile_update/SConscript",
                     "qtreadwrite/SConscript",
                     "randomcw/SConscript",
		             "readwrite/SConscript",
                     "reset/SConscript",
		             "shared/SConscript"
		           ])
	else:
		SConscript([
	       		     "algorithm/SConscript",
		             "antenna/SConscript",
			         "blockwrite/SConscript",
		             "inventory_live/SConscript",
		             "nvmem_update/SConscript",
			         "oem_tool/SConscript",
		             "oemconfig/SConscript",
			         "profile_update/SConscript",
                     "qtreadwrite/SConscript",
                     "randomcw/SConscript",
			         "readwrite/SConscript",
                     "reset/SConscript",
			         "shared/SConscript"
			     ])
elif "linux" == buildos:
	SConscript([
       		     	"algorithm/SConscript",
	             	"antenna/SConscript",
		     		"blockwrite/SConscript",
	             	"inventory_live/SConscript",
	             	"nvmem_update/SConscript",
		     		"oem_tool/SConscript",
	             	"oemconfig/SConscript",
		     		"profile_update/SConscript",
                    "qtreadwrite/SConscript",
                    "randomcw/SConscript",
		     		"readwrite/SConscript",
                    "reset/SConscript",
		     		"shared/SConscript"
		     ])

